%define api 0.1
%define major 4
%define libname %mklibname usb-compat %{api} %{major}
%define devellibname %mklibname -d usb-compat %{api}
%define sdevellibname %mklibname -s -d usb-compat %{api}

%define oldlibusb_version 0.1.12-14

Summary: A library which allows userspace access to USB devices
Name: libusb-compat
Version: 0.1.5
Release: %mkrel 2
Source0: http://downloads.sourceforge.net/libusb/%{name}-%{version}.tar.xz
License: LGPLv2+
Group: System/Libraries
URL: http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires: doxygen 
BuildRequires: %{_lib}usb1.0-devel


%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %{libname}
Summary: %{summary}
Group:	System/Libraries
Requires(pre): filesystem
Provides: %{_lib}usb0.1_4 = %{oldlibusb_version}
Obsoletes: %{_lib}usb0.1_4 < %{oldlibusb_version}
Provides: libusb = %{oldlibusb_version}
Provides: libusb0.1 = %{oldlibusb_version}

%description -n %{libname}
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %{devellibname}
Summary: Development files for libusb-0.1
Group:	Development/Libraries
Requires(pre): filesystem
Requires: %{libname} = %{version}
Provides: %{_lib}usb-devel = %{oldlibusb_version}
Obsoletes: %{_lib}usb-devel < %{oldlibusb_version}
Obsoletes: %{_lib}usb0.1_4-devel < %{oldlibusb_version}
Provides: libusb-devel = %{oldlibusb_version}
Provides: libusb0.1-devel = %{oldlibusb_version}
Provides: usb-compat-devel = %{version}-%{release}
Provides: usb0.1-devel = %{version}-%{release}

%description -n %{devellibname}
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb-0.1.

%package -n %{sdevellibname}
Summary: Static development files for libusb-0.1
Group:	Development/Libraries
Requires(pre): filesystem
Requires: %{devellibname} = %{version}
Provides: libusb-static-devel = %{oldlibusb_version}
Provides: libusb0.1-static-devel = %{oldlibusb_version}
Obsoletes: %{_lib}usb-static-devel < %{oldlibusb_version}
Obsoletes: %{_lib}usb1.0_4-static-devel < %{oldlibusb_version}

%description -n %{sdevellibname}
This package contains static libraries to develop applications that use
libusb0.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/libusb-config

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING README NEWS
%{_libdir}/libusb-%{api}.so.%{major}*

%files -n %{devellibname}
%doc examples/*.c
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/usb.h
%{_libdir}/libusb.so
%{multiarch_bindir}/libusb-config
%{_bindir}/libusb-config

%files -n %{sdevellibname}
%{_libdir}/libusb.a


%changelog
* Sat May 20 2017 adrianomorselli <adrianomorselli> 0.1.5-2uplos2017
- rebuild for 2017
